Package jcifs.smb

# Class NtlmContext

java.lang.Object
jcifs.smb.NtlmContext

public class NtlmContext extends Object
For initiating NTLM authentication (including NTLMv2). If you want to add NTLMv2 authentication support to something this is what you want to use. See the code for details. Note that JCIFS does not implement the acceptor side of NTLM authentication.

## Constructor Summary

Constructors
Constructor
Description
`NtlmContext(NtlmPasswordAuthentication auth, boolean doSigning)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getNetbiosName()`
`byte[]`
`getServerChallenge()`
`byte[]`
`getSigningKey()`
`byte[]`
`initSecContext(byte[] token, int offset, int len)`
`boolean`
`isEstablished()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NtlmContext

public NtlmContext(NtlmPasswordAuthentication auth, boolean doSigning)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### isEstablished

public boolean isEstablished()

### getServerChallenge

public byte[] getServerChallenge()

### getSigningKey

public byte[] getSigningKey()

### getNetbiosName

public String getNetbiosName()

### initSecContext

public byte[] initSecContext(byte[] token, int offset, int len) throws SmbException

Throws:
  `SmbException`